import dotenv from 'dotenv'

dotenv.config()

export const environment = {
  API_PORT: process.env.API_PORT as string,
  API_URL: process.env.API_URL as string,
  API_NAME: process.env.API_NAME as string,
  API_EMAIL: process.env.API_EMAIL as string,

  BACKOFFICE_URL: process.env.BACKOFFICE_URL as string,
  CUSTOMER_PORTAL_URL: process.env.CUSTOMER_PORTAL_URL as string,

  JWT_SECRET_KEY: process.env.JWT_SECRET_KEY as string,

  POSTGRES_USER: process.env.POSTGRES_USER as string,
  POSTGRES_PASSWORD: process.env.POSTGRES_PASSWORD as string,
  POSTGRES_DB: process.env.POSTGRES_DB as string,
  POSTGRES_PORT: process.env.POSTGRES_PORT as string,
  POSTGRES_HOST: process.env.POSTGRES_HOST as string,

  MAIL_HOST: process.env.MAIL_HOST as string,
  MAIL_PORT: process.env.MAIL_PORT as string,
  MAIL_USER: process.env.MAIL_USER as string,
  MAIL_PASSWORD: process.env.MAIL_PASSWORD as string,

  MAIL_HOG_WEB_PORT: process.env.MAIL_HOG_WEB_PORT as string, // for e2e tests

  REDIS_HOST: process.env.REDIS_HOST as string,
  REDIS_PORT: process.env.REDIS_PORT as string,

  SENTRY_DNS: process.env.SENTRY_DNS as string,
  SENTRY_ENVIRONMENT: process.env.SENTRY_ENVIRONMENT as string,
} as const
