@admin @default-field @delete

Feature: Delete default field

  Background:
    Given the system has a "tenant category" with id "f6987e20-0b23-4c0b-b872-7b33edf87e75"
    And the system has a "default field" with:
      """
      {
        "id": "bf136c50-b2a9-42c1-933c-4efb6a5c9292",
        "label": "random_label",
        "placeholder": "random_placeholder",
        "span": 8,
        "order": 1232,
        "type": "text",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """

  Scenario: Create new default field
    Given I log in as "super admin"
    When I send a DELETE request to "/admin/default-fields/bf136c50-b2a9-42c1-933c-4efb6a5c9292"
    Then I get a status code 204
    And the system cannot find the deleted "default field" with id "bf136c50-b2a9-42c1-933c-4efb6a5c9292"
