import { Server } from './core/server'
import { logger } from './libs/domain/logger'

const main = async () => {
  try {
    const server = new Server()

    await server.start()
  } catch (error) {
    logger.debug(error)
    process.exit(1)
  }
}

main()
