import { Injectable } from '@/core/api/di/decorators'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'

@Injectable()
export class DeleteDefaultFieldUseCase {
  constructor(private readonly defaultFieldRepository: DefaultFieldRepository) {}

  async run(id: string): Promise<void> {
    return await this.defaultFieldRepository.delete({
      id,
    })
  }
}
