import { Injectable } from '@/core/api/di/decorators'
import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'

@Injectable()
export class ListDefaultFieldsUseCase {
  constructor(private readonly defaultFieldRepository: DefaultFieldRepository) {}

  async run(): Promise<DefaultFieldEntity[]> {
    return await this.defaultFieldRepository.find()
  }
}
