export class OffsetPagination {
  static defaultPageSize = 15

  page: number
  pageSize: number

  private constructor({
    page = 1,
    pageSize = OffsetPagination.defaultPageSize,
  }: {
    page?: number
    pageSize?: number
  }) {
    this.page = Number(page)
    this.pageSize = Number(pageSize)
  }

  static fromPrimitives(primitives: any): OffsetPagination {
    return new OffsetPagination(primitives)
  }
}
