import { PermissionEntity } from '@/libs/domain/entities/tenant/permission.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const permissionSchema = new BaseTenantEntitySchema<PermissionEntity>({
  name: 'permission',
  columns: {
    name: {
      type: String,
      unique: true,
    },
  },
  relations: {
    roles: {
      type: 'many-to-many',
      target: 'role',
    },
  },
})
