import { Joi, Segments, celebrate } from 'celebrate'

export class AdminAuthValidationSchema {
  static signIn = celebrate({
    [Segments.BODY]: Joi.object({
      email: Joi.string().email({ tlds: false }).required(),
      password: Joi.string().required(),
    }),
  })
}
