@auth @forgot-password @mail
Feature: Forgot password

  Scenario: with an existing email
    When I send a POST request to "/auth/forgot-password" with body:
      """
      {
        "email": "admin_employee@gmail.com"
      }
      """
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "message": "Un enlace de restablecimiento de contraseña fue enviado a su correo electrónico."
      }
      """
    And I get a reset link to "admin_employee@gmail.com"



  Scenario: with non-existing email
    When I send a POST request to "/auth/forgot-password" with body:
      """
      {
        "email": "random_email@gmail.com"
      }
      """
    Then I get a status code 400
    And I get a response body with:
      """
      {
        "message": "Correo invalido"
      }
      """

