@auth @get-my-profile
Feature: Get my profile


  Scenario: as admin employee
    Given I log in as "admin employee"
    When I send a GET request to "/auth/get-my-profile"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "rut": "000000001",
        "email": "admin_employee@gmail.com",
        "isActive": true,
        "firstName": "Dave",
        "lastName": "Brown",
        "phoneNumber": "123456789",
        "roles": [
          {
            "name": "admin-employee"
          }
        ]
      }
      """

  Scenario: as customer employee
    Given I log in as "customer"
    When I send a GET request to "/auth/get-my-profile"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "rut": "000000003",
        "email": "customer@gmail.com",
        "isActive": true,
        "firstName": "James",
        "lastName": "Jones",
        "phoneNumber": "123456789",
        "roles": [
          {
            "name": "customer"
          }
        ]
      }
      """


  Scenario: as vendor employee
    Given I log in as "vendor employee"
    When I send a GET request to "/auth/get-my-profile"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "rut": "000000002",
        "email": "vendor_employee@gmail.com",
        "isActive": true,
        "firstName": "Randy",
        "lastName": "Malone",
        "phoneNumber": "123456789",
        "roles": [
          {
            "name": "vendor-employee"
          }
        ]
      }
      """


