import { BaseTenantEntity } from './_base-tenant.entity'
import { OrderStatus } from './_types'
import { CustomerEntity } from './customer.entity'
import { FormEntity } from './form.entity'
import { InvoiceEntity } from './invoice.entity'
import { OrderQuoteEntity } from './order-quote-entity'
import { OrderStatusHistoryEntity } from './order-status-history.entity'
import { ShippingEntity } from './shipping.entity'
import { TransportPaymentEntity } from './transport-payment.entity'

export interface OrderEntity extends BaseTenantEntity {
  price?: number
  regularPrice?: number
  status: OrderStatus
  declineReason?: string

  customer?: CustomerEntity
  form?: FormEntity
  invoices?: InvoiceEntity[]
  orderStatusHistories?: OrderStatusHistoryEntity[]
  transportPayments?: TransportPaymentEntity[]
  orderQuote?: OrderQuoteEntity
  shippings?: ShippingEntity[]
}
