import { FormEntity } from '@/libs/domain/entities/tenant/form.entity'

import { FormRepository } from '@/libs/domain/repositories/tenant/form.repository'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { formSchema } from '../../schemas/tenant/form.schema'

export class TypeOrmFormRepository
  extends TypeOrmBaseTenantRepository<FormEntity>
  implements FormRepository
{
  protected getSchema(): EntitySchema<FormEntity> {
    return formSchema
  }

  protected getRelations(): Relations<FormEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<FormEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<FormEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<FormEntity> {
    return {}
  }
}
